curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/model/checkpoints' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"description": "string",
"name": "string",
"tags": [
"string"
],
"version": "string"
}'
{
"checkpoint": {
"config": {
"attention_heads": 1,
"dropout": 1,
"embedding_dim": 1,
"features": [],
"hidden_dims": [],
"max_sequence_length": 1
},
"created_at": 1,
"description": "string",
"id": "string",
"metrics": {
"accuracy": 1,
"epochs": 1,
"f1_score": 1,
"train_loss": 1,
"training_time_secs": 1,
"val_loss": 1
},
"name": "string",
"tags": [
"string"
],
"version": "string"
},
"checkpoint_id": "string"
}
Save model checkpoint
Required scope: models:manage
POST
/
api
/
v1
/
model
/
checkpoints
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/model/checkpoints' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"description": "string",
"name": "string",
"tags": [
"string"
],
"version": "string"
}'
{
"checkpoint": {
"config": {
"attention_heads": 1,
"dropout": 1,
"embedding_dim": 1,
"features": [],
"hidden_dims": [],
"max_sequence_length": 1
},
"created_at": 1,
"description": "string",
"id": "string",
"metrics": {
"accuracy": 1,
"epochs": 1,
"f1_score": 1,
"train_loss": 1,
"training_time_secs": 1,
"val_loss": 1
},
"name": "string",
"tags": [
"string"
],
"version": "string"
},
"checkpoint_id": "string"
}
Required scope:
models:manage
Request body
SaveCheckpointRequest
string
Optional description
string
required
Checkpoint name
string[]
Tags for organization
string
required
Version string
Response
SaveCheckpointResponse
ModelCheckpoint
required
Show ModelCheckpoint
Show ModelCheckpoint
ModelConfig
required
integer (int64)
required
Creation timestamp (Unix ms)
string
Optional description
string
required
Unique checkpoint identifier
ModelMetrics
required
string
required
Human-readable name
string[]
Tags for organization
string
required
Version string (semver)
string
required
Created checkpoint ID
Status codes
| Code | Meaning |
|---|---|
201 | Checkpoint created |
400 | Invalid request |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/model/checkpoints' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"description": "string",
"name": "string",
"tags": [
"string"
],
"version": "string"
}'
{
"checkpoint": {
"config": {
"attention_heads": 1,
"dropout": 1,
"embedding_dim": 1,
"features": [],
"hidden_dims": [],
"max_sequence_length": 1
},
"created_at": 1,
"description": "string",
"id": "string",
"metrics": {
"accuracy": 1,
"epochs": 1,
"f1_score": 1,
"train_loss": 1,
"training_time_secs": 1,
"val_loss": 1
},
"name": "string",
"tags": [
"string"
],
"version": "string"
},
"checkpoint_id": "string"
}